/*
    Main Nav
*/
.nav-sticky {
	position: sticky;
	top: 0;
	z-index: 9998;
}

.nav-bar {
	border-bottom: .1rem solid var(--color-grey);
}

#nav-main nav {
	display: grid;
	justify-content: end;
	justify-items: end;
	align-content: stretch;
	align-items: stretch;
	gap: 2rem;
	transition: 0.2s;
}

.nav-logo {
	display: grid;
	place-items: stretch;
	place-content: stretch;
	width: 100%;
	height: 100%;
}

.nav-logo a {
	display: flex;
	flex-direction: column;
	flex-wrap: nowrap;
	align-items: stretch;
	justify-content: center;
	text-decoration: none;
}

.nav-menu,
.sub-menu {
	list-style: none;
	padding: 0;
	margin: 0;
}

/*
	MOBILE NAV
*/
@media (max-width: 1023px) {
	.admin-bar .nav-sticky {
		top: 4.6rem;
	}

	#nav-main {
		--nav-height: 5.5rem;
		height: var(--nav-height);
	}

	#nav-main nav {
		grid-template-columns: 13rem 1fr;
		height: var(--nav-height);
	}

	#nav-main .container {
		--container-width: calc(100% - var(--padding-containers));
		margin-right: 0 !important;
	}

	/* Drawer */
	#nav-main .nav-container {
		position: fixed;
		top: var(--nav-height);
		right: 0;
		background-color: var(--color-black);
		height: calc(100svh - var(--nav-height));
		width: 100%;
		visibility: hidden;
		opacity: 0;
		overflow-y: auto;
		transition: 0.3s ease;
	}

	body:has(#nav-main nav.open) {
		overflow-y: hidden;
	}

	#nav-main nav.open .nav-container {
		visibility: visible;
		opacity: 1;
	}

	.admin-bar #nav-main .nav-container {
		top: calc(4.6rem + var(--nav-height));
		height: calc(100svh - (4.6rem + var(--nav-height)));
	}

	.nav-menu {
		--nav-link-height: 5.5rem;
		display: block;
	}

	.nav-menu > li,
	.nav-menu > li > .sub-menu > li:nth-child(n + 2) {
		display: grid;
		grid-template-columns: 1fr;
		place-content: stretch;
		place-items: stretch;
		border-top: 0.1rem solid var(--color-grey-9);
	}

	.nav-menu > li > .sub-menu > li:nth-child(n + 2) {
		border-top: 0.1rem solid var(--color-grey-7);
	}

	.nav-menu li {
		position: relative;
	}

	.nav-menu > li.menu-item-has-children {
		grid-template-columns: 1fr var(--nav-height);
		grid-template-rows: var(--nav-link-height) 0fr;
		transition: 0.3s ease-in-out;
	}

	.nav-menu > li.menu-item-has-children:has(> .sub-menu.open) {
		grid-template-rows: var(--nav-link-height) 1fr;
	}

	.nav-menu > li > .sub-menu {
		display: block;
		background-color: var(--color-grey);
		grid-column: 1 / -1;
		overflow: hidden;
	}

	.nav-caret {
		display: grid;
		place-items: center;
		cursor: pointer;
	}

	.nav-caret i {
		color: var(--color-white);
		transition: 0.3s ease-in-out;
	}

	.nav-caret:has(+ .open) i {
		rotate: 180deg;
	}

	.nav-menu > li > a,
	.nav-menu > li > span {
		display: grid;
		justify-content: stretch;
		justify-items: stretch;
		align-content: center;
		align-items: center;
		height: var(--nav-link-height);
		padding: 0 2rem;
		text-decoration: none;
		color: var(--color-white);
		font-family: var(--heading-font);
		font-weight: 700;
		text-transform: uppercase;
		letter-spacing: 0.2rem;
	}

	.nav-menu > li > .sub-menu > li > a,
	.nav-menu > li > .sub-menu > li > span {
		display: grid;
		justify-content: stretch;
		justify-items: stretch;
		align-content: center;
		align-items: center;
		height: var(--nav-link-height);
		padding: 0 2rem;
		text-decoration: none;
		color: var(--color-white);
		font-weight: 500;
	}

	/* Active Menu */
	.nav-menu li.current-menu-item::before,
	.nav-menu li.current-menu-parent::before,
	.nav-menu li.current_page_item::before {
		content: '';
		position: absolute;
		top: 0;
		left: 0;
		bottom: 0;
		width: 0.4rem;
		height: var(--nav-link-height);
		background-color: var(--color-primary);
	}

	/* Hamburger */
	#nav-toggle {
		display: grid;
		place-items: center;
		place-content: center;
		width: var(--nav-height);
		height: var(--nav-height);
	}

	.hamburger {
		display: block;
		width: 2rem;
		height: 1.8rem;
		position: relative;
		cursor: pointer;
	}

	.hamburger .bar {
		display: block;
		width: 2rem;
		height: 0.2rem;
		border-radius: 0.1rem;
		background-color: var(--color-white);
		position: absolute;
		left: 0;
		top: 0;
		transition: 0.2s cubic-bezier(0.6, 0, 0.6, 2);
	}

	.hamburger .bar:nth-child(2),
	.hamburger .bar:nth-child(3) {
		top: 0.8rem;
		transition: 0.2s ease-in-out;
	}

	.hamburger .bar:nth-child(4) {
		top: 1.6rem;
	}

	nav.open .hamburger .bar:nth-child(1) {
		top: -1rem;
		opacity: 0;
		transition: 0.2s ease-in-out;
	}

	nav.open .hamburger .bar:nth-child(2) {
		rotate: 45deg;
		transition: 0.2s cubic-bezier(0.6, 0, 0.6, 2);
	}

	nav.open .hamburger .bar:nth-child(3) {
		rotate: -45deg;
		transition: 0.2s cubic-bezier(0.6, 0, 0.6, 2);
	}

	nav.open .hamburger .bar:nth-child(4) {
		top: 2.6rem;
		opacity: 0;
		transition: 0.2s ease-in-out;
	}


	/* Hidden on mobile */
	.mega-menu-image,
	.mega-menu-description,
	.menu-home,
	.nav-menu > li.desktop-only,
	.menu-divider {
		display: none !important;
	}
}

@media (min-width: 768px) and (max-width: 1023px) {
	.admin-bar .nav-sticky {
		top: 3.2rem;
	}

	#nav-main {
		--nav-height: 7rem;
	}

	#nav-main nav {
		grid-template-columns: 15rem 1fr;
	}

	.admin-bar .nav-container {
		top: calc(3.2rem + var(--nav-height));
	}
}

/*
	DESKTOP NAV
*/
@media (min-width: 1024px) {
	.admin-bar .nav-sticky {
		top: 3.2rem;
	}

	#nav-main {
		--nav-padding: 1.5rem;
		height: 10rem;
	}

	#nav-main nav {
		grid-template-columns: calc(13rem + var(--nav-padding) * 2) 1fr;
		height: 10rem;
		width: calc(100% + (var(--nav-padding) * 2));
    	margin: 0 calc(0rem - var(--nav-padding));
	}

	.has-scrolled #nav-main nav {
		height: 8rem;
	}

	#nav-toggle,
	.nav-caret {
		display: none !important;
	}

	.nav-logo a {
		padding: 0 var(--nav-padding);
	}

	.nav-container {
		display: flex;
		flex-direction: row;
		flex-wrap: nowrap;
		align-items: stretch;
	}

	.nav-menu {
		display: flex;
		flex-direction: row;
		flex-wrap: nowrap;
		justify-content: space-between;
		align-items: stretch;
		list-style: none;
	}

	.nav-menu > li {
		display: flex;
		flex-direction: row;
		flex-wrap: nowrap;
		align-items: stretch;
	}

	.nav-menu > li.menu-item > a,
	.nav-menu > li.menu-item > span {
		font-size: 1.2rem !important;
		letter-spacing: 0.1rem !important;
	}

	.nav-menu > li.menu-item > a:not(.btn),
	.nav-menu > li.menu-item > span:not(.btn) {
		display: flex;
		flex-direction: column;
		flex-wrap: nowrap;
		align-items: stretch;
		justify-content: center;
		text-decoration: none;
		text-transform: uppercase;
		font-family: var(--heading-font);
		font-weight: 700;
		padding: 0 var(--nav-padding);
		color: var(--color-white);
		cursor: pointer;
		position: relative;
		transition: color 0.3s ease;
	}

	.nav-menu > li.menu-item.menu-home {
		display: none;
	}

	.nav-menu > li.menu-item > a.btn,
	.nav-menu > li.menu-item > span.btn {
		align-self: center;
	}

	.nav-menu > li.menu-item:has(> a.btn),
	.nav-menu > li.menu-item:has(> span.btn) {
		padding: 0 var(--nav-padding);
	}

	.nav-menu > li.menu-item > a > i {
		font-size: 2rem;
	}

	.nav-link-text {
		position: relative;
		z-index: 2;
	}

	.nav-menu > li.menu-item > a:not(.btn)::before,
	.nav-menu > li > span:not(.btn)::before {
		content: '';
		position: absolute;
		bottom: 0;
		left: 0;
		width: 100%;
		height: 0rem;
		background-color: var(--color-grey);
		opacity: 0;
		transition: 0.2s;
		z-index: 1;
	}

	.nav-menu > li.current-menu-item > a:not(.btn)::before,
	.nav-menu > li.current-menu-parent > a:not(.btn)::before,
	.nav-menu > li.current_page_item > a:not(.btn)::before,
	.nav-menu > li.current-menu-item > span:not(.btn)::before,
	.nav-menu > li.current-menu-parent > span:not(.btn)::before,
	.nav-menu > li.current_page_item > span:not(.btn)::before {
		background-color: var(--color-primary);
		height: 0.4rem;
		opacity: 1;
	}

	.nav-menu > li.menu-item:hover > a:not(.btn)::before,
	.nav-menu > li.menu-item:hover > span:not(.btn)::before {
		background-color: var(--color-grey);
		height: 100%;
		opacity: 1;
	}

	.nav-menu > li > .sub-menu {
		display: grid;
		grid-auto-columns: 1fr;
		grid-auto-flow: column;
		align-items: stretch;
		position: absolute;
		top: 100%;
		left: 0;
		right: 0;
		width: 100%;
		background-color: var(--color-grey);
		opacity: 0;
		visibility: hidden;
		transition: 0.3s;
	}

	.nav-menu > li:hover > .sub-menu {
		opacity: 1;
		visibility: visible;
	}

	.nav-menu > li > .sub-menu > li {
		display: grid;
		justify-content: stretch;
		align-items: stretch;
		width: 100%;
		height: 100%;
	}

	.nav-menu > li > .sub-menu > li > a {
		display: grid;
		align-items: stretch;
		text-decoration: none;
		font-weight: 400;
		white-space: nowrap;
		background-color: var(--color-grey);
		transition: 0.2s;
		overflow: hidden;
	}

	.nav-menu > li > .sub-menu > li > a:hover {
		background-color: var(--color-primary);
	}

	.nav-menu > li > .sub-menu > li > a .mega-menu-item {
		padding: clamp(3rem, 3vw, 6rem);
		aspect-ratio: 1 / 1;
		color: var(--color-white);
		display: flex;
		align-items: center;
		background-position: center bottom;
		background-repeat: no-repeat;
		background-size: cover;
		position: relative;
	}

	.nav-menu > li > .sub-menu > li > a .mega-menu-item::before {
		content: '';
		display: block;
		background: linear-gradient(to bottom, var(--color-grey) 15%, transparent 85%);
		position: absolute;
		inset: 0;
		z-index: 2;
		transition: .2s;
	}

	.nav-menu > li > .sub-menu > li > a:hover .mega-menu-item::before {
		opacity: 0;
	}

	.nav-menu > li > .sub-menu > li > a .mega-menu-item::after {
		content: '';
		display: block;
		background: linear-gradient(to bottom, var(--color-primary) 15%, transparent 85%);
		position: absolute;
		inset: 0;
		z-index: 3;
		opacity: 0;
		transition: .2s;
	}

	.nav-menu > li > .sub-menu > li > a:hover .mega-menu-item::after {
		opacity: 1;
	}

	.nav-menu > li > .sub-menu > li > a .mega-menu-item .mega-menu-image {
		position: absolute;
		inset: 0;
		width: 100%;
		height: 100%;
		z-index: 1;		
		overflow: hidden;
		background-color: var(--color-grey);
		transition: .2s;
	}

	.nav-menu > li > .sub-menu > li > a:hover .mega-menu-item .mega-menu-image {
		
		background-color: var(--color-primary);
	}

	.nav-menu > li > .sub-menu > li > a .mega-menu-item .mega-menu-image img {
		display: block;
		width: 100%;
		height: 100%;
		object-fit: cover;
		object-position: center;
		mix-blend-mode: multiply;
		opacity: 0.85;
		position: absolute;
		inset: 0;
		scale: 1.1;
		filter: blur(0.5rem);
		transition: .2s;
	}

	.nav-menu > li > .sub-menu > li > a:hover .mega-menu-item .mega-menu-image img {
		filter: blur(0);
		scale: 1;
	}

	.nav-menu > li > .sub-menu > li > a .mega-menu-item .mega-menu-content {
		text-align: center;
		position: relative;
		z-index: 4;
	}

	.nav-menu > li > .sub-menu > li > a .mega-menu-item .mega-menu-content .mega-menu-title {
		font-family: var(--heading-font);
		font-weight: 700;
		font-style: normal;
		line-height: 1.2;
		font-size: 2.2rem;
		letter-spacing: 0.1rem;
		margin-bottom: 0.5em;
		margin-top: 0;
		color: inherit;
		text-wrap: balance;
		text-transform: uppercase;
	}

	.nav-menu > li > .sub-menu > li > a .mega-menu-item .mega-menu-content p {
		text-wrap: balance;
	}

	.nav-menu > li > .sub-menu > li:nth-child(n + 2) > a .mega-menu-item {
		border-left: 0.1rem solid rgba(var(--color-black-rgb), 0.25);
	}

	/*
		Socials
	*/
	.nav-menu > li.menu-socials,
	.nav-menu > li.menu-divider,
	.nav-menu > li.mobile-only { 
		display: none;
	}
	
}

@media (min-width: 1280px) {
	#nav-main {
		--nav-padding: 2rem;
	}

	#nav-main nav {
		grid-template-columns: calc(17rem + var(--nav-padding) * 2) 1fr;
	}

	.nav-menu > li.menu-item > a,
	.nav-menu > li.menu-item > span {
		font-size: 1.3rem !important;
		letter-spacing: 0.2rem !important;
	}

	.nav-menu > li > .sub-menu > li > a .mega-menu-item .mega-menu-content .mega-menu-title {
		font-size: 2.4rem;
	}

}

@media (min-width: 1320px) {
	#nav-main {
		--nav-padding: 2.2rem;
	}

	.nav-menu > li.menu-item.menu-home {
		display: flex;
	}
}

@media (min-width: 1540px) {
	#nav-main {
		--nav-padding: 2.2rem;
	}

	.nav-menu > li.menu-socials { 
		display: flex;
		flex-wrap: nowrap;
		align-items: center;
		gap: 0.7rem;
		padding: 0 var(--nav-padding);
	}

	.nav-menu > li.menu-socials > a { 
		text-decoration: none;
		color: var(--color-grey-5);
		transition: .2s;
	}

	.nav-menu > li.menu-socials > a:hover { 
		color: var(--color-primary);
	}

	.nav-menu > li.menu-socials > a > i {
		font-size: 2rem;
	}

	.nav-menu > li.menu-divider {
		display: block;
		width: clamp(8rem, 5vw, 11rem);
		background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 40 110'%3E%3Cpath d='M40,110L1.6597,57.495c-1.1749-1.4577-1.1749-3.5372,0-4.995L39.9974,0' fill='none' stroke='%236d7881' stroke-miterlimit='10'/%3E%3C/svg%3E");
		background-position: center;
		background-repeat: no-repeat;
	}

	.nav-menu > li > .sub-menu > li > a .mega-menu-item .mega-menu-content .mega-menu-title {
		font-size: 2.6rem;
	}

	
}